al_set_display_flag(3)

NAME

al_set_display_flag - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    bool al_set_display_flag(ALLEGRO_DISPLAY *display, int flag, bool onoff)

DESCRIPTION

Enable or disable one of the display flags. The flags are the same as for al_set_new_display_flags(3). The only flags that can be changed after creation are:

•   ALLEGRO_FULLSCREEN_WINDOW

•   ALLEGRO_FRAMELESS

•   ALLEGRO_MAXIMIZED

Returns true if the driver supports toggling the specified flag else false. You can use al_get_display_flags(3) to query whether the given display property actually changed.

SINCE

5.0.7, 5.1.2

SEE ALSO

al_set_new_display_flags(3), al_get_display_flags(3)